Name:           qtads
Summary:        GUI multimedia interpreter for TADS games
Version:        2.1.7
Release:        %mkrel 1
Source0:        http://downloads.sourceforge.net/qtads/%{name}-%{version}.tar.bz2
Patch0:         qtads-2.1.6-mga-disable-broken-forced-update-check.patch
URL:            http://qtads.sourceforge.net/
License:        GPLv2+
Group:          Games/Adventure

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_sound-devel
Recommends:     timidity-instruments

%description
QTads is a cross-platform multimedia interpreter for Tads (Text Adventure
Development System) games. Both Tads versions in use today (Tads 2 and Tads 3)
are supported. MIDI, Ogg Vorbis, MP3, and WAV sound formats are supported.

TADS is a programming language written by Michael J. Roberts, designed to
implement text-adventure games (Interactive Fiction), similar to those
developed by Infocom in 1980-1990, as well as other companies (like Legend
Entertainment, Level 9, etc). If you liked games like "Zork", "Adventure",
"Trinity", or "Eric the Unready", you'll feel right at home.

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5 \
    BIN_INSTALL=%{buildroot}%{_gamesbindir} \
    DOC_INSTALL=%{buildroot}%{_docdir} \
    DATA_INSTALL=%{buildroot}%{_datadir}
%make_build

%install
# there is no make install option at the moment, must be done manually
install -D -m755 %{name} %{buildroot}%{_gamesbindir}/%{name}

# everything is properly ordered according to FHS in the share directory
install -d %{buildroot}%{_datadir}
cp -a share/* %{buildroot}%{_datadir}

%files
%doc AUTHORS COPYING NEWS README HTML_TADS_LICENSE
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/application-x-*.png
%{_mandir}/man6/%{name}.6*


%changelog
* Thu Mar 24 2016 akien <akien> 2.1.7-1.mga6
+ Revision: 995193
- Version 2.1.7

* Tue Feb 09 2016 umeabot <umeabot> 2.1.6-10.mga6
+ Revision: 952028
- Mageia 6 Mass Rebuild

* Thu Jan 15 2015 akien <akien> 2.1.6-9.mga5
+ Revision: 810767
- Disable update check forcing at the application start, it is broken

* Mon Jan 12 2015 akien <akien> 2.1.6-8.mga5
+ Revision: 810085
- Build with Qt5
- Add MimeType associations in the desktop file

* Mon Jan 12 2015 akien <akien> 2.1.6-7.mga5
+ Revision: 810081
- Install the mimetype spec

* Mon Jan 12 2015 akien <akien> 2.1.6-6.mga5
+ Revision: 810077
- Put binary in %%_gamesbindir
- Install app and mimetype icons
- Remove optflags already defined in %%qmake_qt4
- Fixed desktop categories

* Wed Oct 15 2014 umeabot <umeabot> 2.1.6-5.mga5
+ Revision: 747334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.6-4.mga5
+ Revision: 688534
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 2.1.6-3.mga4
+ Revision: 517902
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.1.6-2.mga3
+ Revision: 379964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - fix RPM group

* Thu Jan 03 2013 stormi <stormi> 2.1.6-1.mga3
+ Revision: 338372
- new version 2.1.6

* Sun Mar 04 2012 stormi <stormi> 2.1.2-1.mga2
+ Revision: 218237
- new version 2.1.2
- clean spec file

* Fri Mar 11 2011 stormi <stormi> 2.1.1-1.mga1
+ Revision: 68238
- new version 2.1.1

* Thu Jan 27 2011 stormi <stormi> 2.0.1-4.mga1
+ Revision: 41518
- rename desktop file
- imported package qtads

